/*
 * ar4c-dcdc - watchdog.h
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef WATCHDOG_H_INCLUDED
#define WATCHDOG_H_INCLUDED

#if HAVE_AVR_WDT_H
#include <avr/wdt.h>

static inline void watchdog_init(void)
{
	wdt_enable(WDTO_60MS);
}

#else
#define watchdog_init() do { } while (0)
#define wdt_reset() do { } while (0)
#endif

#endif
